Bug 989267 - [abrt] alacarte-3.7.90-1.fc19: MainWindow.py:81:loadUpdates:AttributeError: 'NoneType' object has no attribute 'get_selected'
[abrt] alacarte-3.7.90-1.fc19: MainWindow.py:81:loadUpdates:AttributeError: '...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jasper St. Pierre
Fedora Extras Quality Assurance
abrt_hash:ec7bf3a7fd971e7f817b339218f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 18:34 EDT by Gregory Wellington
Modified: 2015-02-17 11:24 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:24:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (693 bytes, text/plain)
2013-07-28 18:34 EDT, Gregory Wellington
no flags Details
File: core_backtrace (232 bytes, text/plain)
2013-07-28 18:34 EDT, Gregory Wellington
no flags Details
File: environ (1.54 KB, text/plain)
2013-07-28 18:34 EDT, Gregory Wellington
no flags Details

  None (edit)
Description Gregory Wellington 2013-07-28 18:34:02 EDT
Description of problem:
I was removing an icon from the properties option having installed insync which was missing an icon for the Gnome 3 desktop.  On removing the icon (insync did not provide one) alacarte crashed.

Version-Release number of selected component:
alacarte-3.7.90-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python2.7 -OOt /usr/bin/alacarte
executable:     /usr/bin/alacarte
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
MainWindow.py:81:loadUpdates:AttributeError: 'NoneType' object has no attribute 'get_selected'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 76, in menuChanged
    self.loadUpdates()
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 81, in loadUpdates
    items, iter = item_tree.get_selection().get_selected()
AttributeError: 'NoneType' object has no attribute 'get_selected'

Local variables in innermost frame:
item_tree: <TreeView object at 0x189ceb0 (GtkTreeView at 0x1576440)>
self: <Alacarte.MainWindow.MainWindow object at 0x151aa50>
menu_tree: <TreeView object at 0x189cf00 (GtkTreeView at 0x15760a0)>

Potential duplicate: bug 923756
Comment 1 Gregory Wellington 2013-07-28 18:34:07 EDT
Created attachment 779455 [details]
File: backtrace
Comment 2 Gregory Wellington 2013-07-28 18:34:10 EDT
Created attachment 779456 [details]
File: core_backtrace
Comment 3 Gregory Wellington 2013-07-28 18:34:13 EDT
Created attachment 779457 [details]
File: environ
Comment 4 dashesy 2014-06-12 16:00:46 EDT
Another user experienced a similar problem:

yum installing gconf-editor

reporter:       libreport-2.2.1
cmdline:        /usr/bin/python2.7 -OOt /usr/bin/alacarte
executable:     /usr/bin/alacarte
kernel:         3.13.9-100.fc19.x86_64
package:        alacarte-3.7.90-1.fc19
reason:         MainWindow.py:81:loadUpdates:AttributeError: 'NoneType' object has no attribute 'get_selected'
runlevel:       N 5
type:           Python
uid:            1000
Comment 5 Joe Zeff 2014-07-02 16:16:55 EDT
Another user experienced a similar problem:

I used the program yesterday, but only to find out what the real name of a program was.  (I needed to tell somebody on a support list how to invoke it from a terminal to see what error messages there were.)  This morning, I saw the abrt icon on my panel, and this was it.

reporter:       libreport-2.2.2
cmdline:        /usr/bin/python2.7 -OOt /usr/bin/alacarte
executable:     /usr/bin/alacarte
kernel:         3.14.8-100.fc19.i686.PAE
package:        alacarte-3.7.90-1.fc19
reason:         MainWindow.py:81:loadUpdates:AttributeError: 'NoneType' object has no attribute 'get_selected'
runlevel:       N 5
type:           Python
uid:            1000
Comment 7 Fedora End Of Life 2015-01-09 14:08:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 11:24:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.